Account - REST API

Stenomatic REST API

Clients

Create a Client

Request:

curl https://api.stenomatic.ai/v1/clients \
   --request POST \
   --header 'Authorization: Bearer YOUR_DEVELOPER_API_KEY_HERE' \
   --header 'Content-Type: application/json' \
   --data '{"name": "ADD_CUSTOMER_NAME_HERE"}' 

Response:

{
   "id":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
   "name":"John Doe",
   "parent_customer_id":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

List Clients

Request:

curl https://api.stenomatic.ai/v1/clients \
   --request GET \
   --header 'Authorization: Bearer YOUR_DEVELOPER_API_KEY_HERE' \
   --header 'Content-Type: application/json'

Response:

Rooms

Create, update, remove or retrieve rooms.

Create Room for given Client ID

The room id is an optional parameter that is only enabled for customers with sufficient privileges. Please refer to the upgrade section. The id must match the ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ regex pattern of words delimited with hyphens. If no id is provided, it will be automatically generated. The room id must be unique across all existing room id's.

Request:

Response:

Create room for your own client ID

Request:

Response:

List rooms for given Client ID

Request:

Response:

List rooms for your own Client ID

Request

Response:

Retrieve Room

Request:

Response:

Retrieve Passwords

Request:

Response:

Retrieve RTMP Stream URL

Request:

Response:

Update Room

Request:

Response:

Usage

Retrieve all API usages for myself as a Customer

Retrieve API usages for a Client created under my Customer

Retrieve API usages for me as client

Response

Returns API usages in nanoseconds (if they are greater than zero)

Transcriptions

Retrieve Transcriptions

Request:

Response:

Last updated